# SLIP-0173 : Registered human-readable parts for BIP-0173

```
Number:  SLIP-0173
Title:   Registered human-readable parts for BIP-0173
Type:    Standard
Status:  Draft
Authors: Clark Moody <clark@clarkmoody.com>
Created: 2017-05-17
```

## Abstract

BIP-0173 defines a new format for segregated witness output addresses that contains a human-readable part that identifies the coin type.

## Motivation

The BIP repository does not want to deal with assigning the values for various coin types different than Bitcoin so we propose this SLIP to become such body.

## Registered human-readable parts

These are the registered human-readable parts for usage in Bech32 encoding of witness programs.

hrp   | coin                                     | hrp    | coin                     |
------|------------------------------------------|--------|--------------------------|
`bc`  | [Bitcoin](https://bitcoin.org/)          | `tb`   | Bitcoin Testnet          |
`ltc` | [Litecoin](https://litecoin.org/)        | `tltc` | Litecoin Testnet         |
`vtc` | [Vertcoin](https://vertcoin.org/)        | `tvtc` | Vertcoin Testnet         |
`btg` | [Bitcoin Gold](https://bitcoingold.org/) | `tbtg` | Bitcoin Gold Testnet     |
`btp` | [Bitcoin Platinum](https://btcplt.org/)  | `tbtp` | Bitcoin Platinum Testnet |
`zen` | [Zen Protocol](https://zenprotocol.com/) | `tzn`  | Zen Protocol Testnet     |
`grs` | [Groestlcoin](https://groestlcoin.org/)  | `tgrs` | Groestlcoin Testnet      |

## Libraries

* [Reference Implementations](https://github.com/sipa/bech32/tree/master/ref)

## References

* [BIP-0173: Base32 address format for native v0-16 witness outputs](https://github.com/bitcoin/bips/blob/master/bip-0173.mediawiki)
